Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731104 - dev-db/postgis fails src_compile with binutils-config[-native-symlinks] ( Makefile:42: libpgcommon.a: ar: No such file or directory )
Summary: dev-db/postgis fails src_compile with binutils-config[-native-symlinks] ( Mak...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PgSQL Bugs
URL:
Whiteboard:
Keywords:
Depends on: 770094
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-07-06 16:03 UTC by Thomas Deutschmann
Modified: 2021-02-23 15:29 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,102.32 KB, text/plain)
2020-07-06 16:03 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-07-06 16:03:22 UTC
Created attachment 648020 [details]
build.log

When running with sys-devel/gcc-config[-native-symlinks], package will fail to merge:

> make[1]: ar: No such file or directory
> make[1]: *** [Makefile:42: libpgcommon.a] Error 127
> make[1]: Leaving directory '/var/tmp/portage/dev-db/postgis-3.0.0-r1/work/postgis-3.0.0-11/libpgcommon'
> make: *** [GNUmakefile:20: all] Error 1
>  * ERROR: dev-db/postgis-3.0.0-r1::gentoo failed (compile phase):
>  *   emake failed
>
Comment 1 Aaron W. Swenson gentoo-dev 2020-12-19 14:59:29 UTC
This is almost fixed with 3.0.3-r1. I have a different error now because SQLPP is not being set. I've been staring at this for a while, though, and I can't figure out the problem. The code below just results in SQLPP being an empty string. No flags or anything. Just empty. I don't know how that's possible without it invoking the AC_MSG_ERROR.

Conf output:
...
checking for cpp... no
checking for gpp_... no
...
  SQL preprocessor:     
...

Relevant section of configure.ac:
dnl
dnl Compilers
dnl
AC_PROG_CC
AC_PROG_CPP
AC_PROG_GREP
AC_C_BIGENDIAN

dnl
dnl SQL Preprocessor
dnl
AC_PATH_PROG([CPPBIN], [cpp], [])
if test "x$CPPBIN" != "x"; then
  SQLPP="${CPPBIN} -traditional-cpp -w -P"
else
  AC_PATH_PROG([GPP], [gpp_], [])
  if test "x$GPP" != "x"; then
    SQLPP="${GPP} -C -s \'" dnl Use better string support
  else
    if test "x${CPP}" != "x"; then
      SQLPP="${CPP} -traditional-cpp"
    else
                  AC_MSG_ERROR([Required "cpp" command not found])
    fi
  fi
fi
AC_SUBST([SQLPP])




Upstream's repo link to the above section:
https://git.osgeo.org/gitea/postgis/postgis/src/branch/master/configure.ac#L31
Comment 2 Larry the Git Cow gentoo-dev 2020-12-24 03:46:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fa80295af29bf426677f4f7fbdb7dc1f0fc1f4e

commit 0fa80295af29bf426677f4f7fbdb7dc1f0fc1f4e
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2020-12-24 03:42:36 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-12-24 03:42:36 +0000

    dev-db/postgis: Version Bump and Fix
    
    Bump to 3.1.0.
    
    No longer auto-magically depend on libcxx, and tries more names for a compatible
    CPP interface.
    
    Bug: https://bugs.gentoo.org/731104
    Bug: https://bugs.gentoo.org/747544
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-db/postgis/Manifest                            |   1 +
 .../files/postgis-3.0.3-detect-only-stdc.patch     |  17 +++
 .../files/postgis-3.0.3-try-other-cpp-names.patch  |  12 ++
 dev-db/postgis/postgis-3.0.3-r2.ebuild             | 139 ++++++++++++++++++++
 dev-db/postgis/postgis-3.1.0.ebuild                | 140 +++++++++++++++++++++
 5 files changed, 309 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2021-02-23 15:29:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1114c7e9c6911a99f1b99c48699e53f465ac15c

commit b1114c7e9c6911a99f1b99c48699e53f465ac15c
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2021-02-23 15:28:24 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2021-02-23 15:28:24 +0000

    dev-db/postgis: Cleanup
    
    Closes: https://bugs.gentoo.org/731104
    Closes: https://bugs.gentoo.org/747544
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-db/postgis/Manifest                       |   7 --
 dev-db/postgis/metadata.xml                   |   3 -
 dev-db/postgis/postgis-2.5.3-r1.ebuild        | 135 -------------------------
 dev-db/postgis/postgis-2.5.4.ebuild           | 137 -------------------------
 dev-db/postgis/postgis-2.5.5.ebuild           | 137 -------------------------
 dev-db/postgis/postgis-3.0.0-r1.ebuild        | 135 -------------------------
 dev-db/postgis/postgis-3.0.1.ebuild           | 135 -------------------------
 dev-db/postgis/postgis-3.0.2.ebuild           | 135 -------------------------
 dev-db/postgis/postgis-3.0.3-r1.ebuild        | 138 --------------------------
 dev-db/postgis/postgis-3.1.0_alpha3-r1.ebuild | 138 --------------------------
 10 files changed, 1100 deletions(-)